package mior.controler;

import java.awt.event.ActionEvent;

import javax.swing.AbstractButton;

import mior.view.MiorCanvas;

public class ConfigureRadiusAction extends AbstractMiorAction<MiorCanvas> {

	private static final long serialVersionUID = 1L;

	public ConfigureRadiusAction(MiorCanvas data) {
		super(data, "Show MM radius");
	}
	
	@Override
	public void actionPerformed(ActionEvent e) {
		AbstractButton src = (AbstractButton) e.getSource();
		getData().setRadiusVisible(src.isSelected());
	}

}
